<?php
//
// for generating statistics!

require('includes/application_top.php');

// AJAX SERVER SIDE HERE

$action = $_POST['action'];

if ($action != '')
  {
    if ($action == 'latest')
      {
	$selectql = $db->Execute("select orders_id from orders ORDER BY date_purchased DESC LIMIT 1");
	echo json_encode($selectql->fields);
	exit();
      }
    elseif($action == 'stats')
      {
	$selectql = $db->Execute('SELECT 
COUNT(orders.orders_id) as num,
SUM(orders_total.value) as val,
SUM(orders_total.value)/COUNT(orders.orders_id) as avg
FROM orders, orders_total 
WHERE orders_total.title="Sub-Total:" AND orders.orders_id = orders_total.orders_id AND DATEDIFF(CURDATE(), orders.date_purchased) < 1');
	echo json_encode($selectql->fields);
	exit();
      }


  }

$max_val_query = $db->Execute('SELECT DATE_FORMAT(orders.date_purchased, "%Y %m %d") as date, 
SUM(orders_total.value) max_val 
FROM orders, orders_total 
WHERE orders_total.title="Sub-Total:" AND orders.orders_id = orders_total.orders_id 
GROUP BY date ORDER BY max_val DESC Limit 0, 1');
$max_val = $max_val_query->fields['max_val'];


$max_avg_query = $db->Execute('SELECT DATE_FORMAT(orders.date_purchased, "%Y %m %d") as date,
SUM(orders_total.value)/COUNT(orders.orders_id) max_avg 
FROM orders, orders_total 
WHERE orders_total.title="Sub-Total:" AND orders.orders_id = orders_total.orders_id 
GROUP BY date ORDER BY max_avg DESC Limit 0, 1');
$max_avg = $max_avg_query->fields['max_avg'];

$dailystatreq = '
SELECT DATE_FORMAT(orders.date_purchased, "%Y %m %d") as date, 
DATE_FORMAT(orders.date_purchased, "%W") as day, 
DATE_FORMAT(orders.date_purchased, "%m/%d/%Y") as prettydate, 
COUNT(orders.orders_id) as num,
SUM(orders_total.value) as val,
SUM(orders_total.value)/COUNT(orders.orders_id) as avg
FROM orders, orders_total WHERE orders_total.title="Sub-Total:" AND orders.orders_id = orders_total.orders_id 
GROUP BY date ORDER BY date DESC;';
$dailystats = $db->Execute($dailystatreq);

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
  <title>Orders: <?php  echo $dailystats->fields['num']; ?> Value: $<?php echo floor($dailystats->fields['val']); ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">

<script src="jquery.min.js"></script>

<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
  <style type="text/css">
  .bar,.bar2 {
  background-color: white;
  text-align: right;
  border-left: solid 1px black;
  padding-right: 0.5em;
width: 400px;
}
.avgbar, .valbar{
  

  text-align: right;
color: white;
  float: left;
  padding-top: 0;
height: 1em;
 }      

.avgbar { 
  border-top: solid 2px #0077DD;
  background-color: #004080;
  border-bottom: solid 2px #002266;
 }
      
.valbar { 
  background-color: #008040;
  border-bottom: solid 2px #006622;
  border-top: solid 2px #00DD77;
}
    </style>


<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script type="text/javascript">
<!--
  function init()
{
  cssjsmenu('navbar');
  if (document.getElementById)
    {
      var kill = document.getElementById('hoverJS');
      kill.disabled = true;
    }
}
// -->                                                                                                                                                                                                                                                                        
</script>


<script type="text/javascript">
DAILY_JAX = 'daily_stats_ajax.php';
last_order_id = 0;
window_focus = 1;

bar_max_val = <?php echo $max_val; ?>;
bar_max_avg = <?php echo $max_avg; ?>;

old_order_num = <?php echo $dailystats->fields['num']; ?>;
old_order_val = <?php echo number_format($dailystats->fields['val'], 2); ?>

new_order_num = <?php echo $dailystats->fields['num']; ?>;
new_order_val = <?php echo number_format($dailystats->fields['val'], 2); ?>

$(document).ready(function() {
    $(document).focus(function(){
	window_focus = 1;
	old_order_num = new_order_num;
	old_order_val = new_order_val;
	document.title = "Orders: " + old_order_num + " Value: $" + parseInt(old_order_val);
      });
    $(document).blur(function(){
	window_focus = 0;
      });

    check_for_new_order();
  });

function check_for_new_order()
{
  $.post(DAILY_JAX, "action=latest", function(json_latest){
      if(json_latest.orders_id != last_order_id){
	if(last_order_id == 0){
	  last_order_id = json_latest.orders_id;
	}else{
	  last_order_id = json_latest.orders_id;
	  $.post(DAILY_JAX, "action=stats", function(json_stats){
	      if(window_focus == 0){
		document.title = "Orders: " + json_stats.num + "("+ (parseInt(json_stats.num) - parseInt(old_order_num)) +") Value: $" + parseInt(json_stats.val) + "($"+parseInt(parseFloat(json_stats.val) - parseFloat(old_order_val))+")"; 
	      }else{
		document.title = "Orders: " + json_stats.num + " Value: $" + parseInt(json_stats.val);
	      }
	      new_order_num = parseInt(json_stats.num); 
	      new_order_val = parseInt(json_stats.val);
	      $("#row0").find(".num").html(json_stats.num);
	      $("#row0").find(".bar2").find(".valbar").css({ width : parseInt(json_stats.val) / (bar_max_val / 100) +  "%"});
	      $("#row0").find(".bar2").find(".valval").html("$" + parseFloat(json_stats.val).toFixed(2));
	      $("#row0").find(".bar").find(".avgbar").css({ width : parseInt(json_stats.avg) / (bar_max_avg / 100) +  "%"});
	      $("#row0").find(".bar").find(".avgval").html("$" + parseFloat(json_stats.avg).toFixed(2));
	    }, 'json');
	}
      }
      setTimeout(function() { check_for_new_order(); }, 15000);	
    }, 'json');
}

</script>

</head>
<body onLoad="init()">
  <!-- header //-->                                                                                                                                                                                                                                                             
<div class="header_area">
  <?php require(DIR_WS_INCLUDES . 'header.php'); ?>

</div>
  <!-- header_eof //--> 

<?php

$revstats = array();

echo "<table border='1' cellpadding='5' width=\"100%\"><tr><th>Day</th><th>Date</th><th>Orders</th><th>Subtotal</th><th>Avg order</th></tr>";

$orders = $dailystats->fields['num'];
$total = sprintf("%.2f", $dailystats->fields['val']);
$count = 0;
while (! $dailystats->EOF) {
  $avg = sprintf("%.2f", $dailystats->fields['val'] / $dailystats->fields['num']) ;
  $val = sprintf("%.2f", $dailystats->fields['val'] ) ;
  echo "<tr id=\"row".$count."\">
<td width=\"5%\">".$dailystats->fields['day']."</td>
<td width=\"5%\">".$dailystats->fields['prettydate']."</td>
<td width=\"5%\" class=\"num\">".$dailystats->fields['num']."</td>
<td width=\"42%\" class='bar2'><div class=\"valbar\" style='width: ". (int)$dailystats->fields['val']/($max_val / 100) ."%'></div><div class=\"valval\">$". $val ."</div></td>
<td width=\"42%\" class='bar'><div class=\"avgbar\" style='width: ". (int)$avg/($max_avg / 100) ."%'></div><div class=\"avgval\">$". $avg ."</div></td> </tr>";
  $dailystats->MoveNext();
}
echo "</table>";

?>
<!-- footer //-->
<div class="footer-area">
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
</div>
<!-- footer_eof //-->
<br />
</body>
</html>
